Bug 114285 - Problem with MySQL < 5.0
Summary: Problem with MySQL < 5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-04 13:30 UTC by Bart&#322;omiej Syryjczyk
Modified: 2007-07-28 20:50 UTC (History)
0 users

See Also:


Attachments
file.diff (530 bytes, patch)
2007-07-04 13:30 UTC, Bart&#322;omiej Syryjczyk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bart&#322;omiej Syryjczyk 2007-07-04 13:30:03 UTC
http://forums.mysql.com/read.php?146,159109,159109#msg-159109
http://groups.google.pl/group/pl.comp.bazy-danych/browse_frm/thread/77658d4f20eece30/ce7b06e1d06e1172?hl=pl#ce7b06e1d06e1172

Fix: Install MySQL >= 5.0 from source in temporary directory, edit the Makefile
and change --with-mysql to
--with-mysql=/path/to/mysql-5.0/or/higher/bin/mysql_config

Patch attached with submission follows:
How-To-Repeat: Just do `make` with installed MySQL < 5.0
Comment 1 Pav Lucistnik freebsd_committer 2007-07-28 19:22:09 UTC
State Changed
From-To: open->feedback

What is this patch trying to achieve? 


Comment 2 Pav Lucistnik freebsd_committer 2007-07-28 19:22:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 Pav Lucistnik freebsd_committer 2007-07-28 19:58:59 UTC
State Changed
From-To: feedback->open

Proposed correct patch: 

Index: Makefile 
=================================================================== 
RCS file: /home/pcvs/ports/databases/mysql-proxy/Makefile,v 
retrieving revision 1.2 
diff -a -u -r1.2 Makefile 
--- Makefile    9 Jul 2007 01:41:26 -0000       1.2 
+++ Makefile    28 Jul 2007 18:59:16 -0000 
@@ -26,5 +26,6 @@ 
USE_ICONV=     yes 
USE_LUA=       5.1+ 
USE_MYSQL=     yes 
+WANT_MYSQL_VER=        50 

.include <bsd.port.mk>
Comment 4 Pav Lucistnik freebsd_committer 2007-07-28 20:17:10 UTC
Dear maintainer of FreeBSD port databases/mysql-proxy, please take a
look at

http://www.freebsd.org/cgi/query-pr.cgi?pr=114285

Do you approve the patch I proposed in the State Changed box on that
page?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

It's now using GIFs instead of JPEGs. This is similar to replacing
triangular wheels with round ones.
Comment 5 Pav Lucistnik freebsd_committer 2007-07-28 20:22:21 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval
Comment 6 gslin 2007-07-28 20:36:07 UTC
On Sat, Jul 28, 2007 at 09:17:10PM +0200, Pav Lucistnik wrote:
> Dear maintainer of FreeBSD port databases/mysql-proxy, please take a
> look at
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=114285
> 
> Do you approve the patch I proposed in the State Changed box on that
> page?

The patch in State Changed will cause users who set WITH_MYSQL_VER=51
cannot install mysql-proxy.

Using IGNORE_WITH_MYSQL= 323 40 41 is better.

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 7 Pav Lucistnik freebsd_committer 2007-07-28 20:45:26 UTC
State Changed
From-To: feedback->open

Aah, that's even better. Let's see
Comment 8 Pav Lucistnik freebsd_committer 2007-07-28 20:45:51 UTC
State Changed
From-To: open->closed

Port annotated to not allow build with MySQL < 5.0
Comment 9 dfilter service freebsd_committer 2007-07-28 20:48:29 UTC
pav         2007-07-28 19:48:24 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql-proxy Makefile 
  Log:
  - Does not build with MySQL < 5.0
  
  PR:             ports/114285
  Reported by:    Bartomiej Syryjczyk <bartlomiej.syryjczyk@expro.pl>
  Submitted by:   Gea-Suan Lin <gslin@gslin.org> (maintainer)
  
  Revision  Changes    Path
  1.3       +1 -0      ports/databases/mysql-proxy/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"